Subject: bug#26378: 26.0.50; Hitting 'n' during ediff gives Error

From: [email-masked]
Date: Thu, 06 Apr 2017 08:45:37 -0400

Kaushal Modi <[email-masked]> writes:

> +
> +The PROGRAM is executed asynchronously unless `system-type' is
> +`windows-nt' or `ms-dos', or unless SYNCH is non-nil.

I think the second "unless" is redundant.

> +
> +OPTIONS is a string of space-separated options to pass to PROGRAM.  It
> +may be a blank string.
> +
> +FILES is a list of filenames to pass to PROGRAM.  This list may
> +contain a nil element too.
> +
> +nil and \"\" elements in OPTIONS and FILES are ignored."

>
> I have tweaked this part slightly (see patch in this email). Based on the
> code, nil and "" elements will be removed from a concatenated list of
> OPTIONS and FILES; not just FILES.

But OPTIONS can't have nil or "" in it (or any "elements", really), so I
don't think there is any need to talk about that in the docstring.